Bug 1411569 - [Satellite 6 installation guide] recommend re-running # foreman-rake katello:upgrade_check again before step 13
Summary: [Satellite 6 installation guide] recommend re-running # foreman-rake katello:...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Docs Virtual Instances Guide
Version: 6.2.6
Hardware: Unspecified
OS: Unspecified
high
high vote
Target Milestone: Unspecified
Assignee: Zac Dover
QA Contact: Russell Dickenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-10 01:03 UTC by Kathryn Dixon
Modified: 2020-02-14 18:26 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-17 00:52:59 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Kathryn Dixon 2017-01-10 01:03:30 UTC
Document URL: 

https://access.redhat.com/documentation/en/red-hat-satellite/6.2/paged/installation-guide/

Section Number and Name: 

Chapter 6. Upgrading Satellite Server and Capsule Server
6.2. Upgrading a Connected Satellite Server

https://access.redhat.com/documentation/en/red-hat-satellite/6.2/paged/installation-guide/chapter-6-upgrading-satellite-server-and-capsule-server

Describe the issue: step 2 is a critical part of the upgrade process, its an awesome checker for stuck tasks. What I find odd is that its step 2, and the actual upgrade starts on step 13.

There are multiple steps in between step2 and 13 that can cause the upgrade check script to be needed to run again.

ie step 10/11 asks you to sync repos, step 12 wants you to update any content views. 

Suggestions for improvement: run the upgrade check again before step 13

# foreman-rake katello:upgrade_check

Steps 3 through 12 can take a lot of time, things can happen like hosts check ins, sync tasks, ect.. we need to run that right before the upgrade so we can have a better chance of no stuck tasks during upgrade.

Additional information:

Comment 1 Andrew Dahms 2017-01-10 12:41:28 UTC
Assigning to Zac for review.

Comment 4 Andrew Dahms 2017-01-17 00:52:59 UTC
This content is live on the Customer Portal.

Closing.


Note You need to log in before you can comment on or make changes to this bug.